---
title: "Research"
date: 2019-10-10T18:01:09+02:00
draft: false

menu:
  main:
    weight: 200

authors:
  tobast:
    short: "T. Bastian"
    name: "Théophile Bastian"
  fzn:
    short: "F. Zappa Nardelli"
    name: "Francesco Zappa Nardelli"
    page: "https://fzn.fr/"
  skell:
    short: "S. Kell"
    name: "Stephen Kell"
    page: "https://www.cs.kent.ac.uk/people/staff/srk21/"
  jch:
    short: "J. Chroboczek"
    name: "Juliusz Chroboczek"
    page: "https://www.irif.fr/~jch/"
  msheeran:
    short: "M. Sheeran"
    name: "Mary Sheeran"
    page: "http://www.cse.chalmers.se/~ms/"
  cseger:
    short: "C-J. Seger"
    name: "Carl-Johan Seger"
    page: "https://www.chalmers.se/en/Staff/Pages/secarl.aspx"
  gwinskel:
    short: "G. Winskel"
    name: "Glynn Winskel"
    page: "https://www.cl.cam.ac.uk/~gw104/"
  pclairambault:
    short: "P. Clairambault"
    name: "Pierre Clairambault"
    page: "http://perso.ens-lyon.fr/pierre.clairambault/"
  frastello:
    short: "F. Rastello"
    name: "Fabrice Rastello"
    page: "https://team.inria.fr/corse/team-members/fabrice-rastello/"
  nderumigny:
    short: "N. Derumigny"
    name: "Nicolas Derumigny"
  fgruber:
    short: "F. Gruber"
    name: "Fabian Gruber"
  cguillon:
    short: "C. Guillon"
    name: "Christophe Guillon"
  giooss:
    short: "G. Iooss"
    name: "Guillaume Iooss"
    page: "https://guillaume.iooss.fr/"
  lnp:
    short: "L-N. Pouchet"
    name: "Louis-Noël Pouchet"
    page: "https://www.cs.colostate.edu/~pouchet/"


publications:
  - authors:
      - tobast
      - skell
      - fzn
    year: 2019
    title:  "Fast and Reliable DWARF Stack Unwinding"
    journal: "OOPSLA 2019"
    links:
      - name: PDF
        url: '/doc/publications/oopsla19-dwarf.pdf'
  - authors:
      - tobast
      - jch
    year: 2020
    title: "Announcing IPv4 routes with an IPv6 next-hop in the Babel routing protocol"
    journal: "IETF RFC draft (to be published)"
    links:
      - name: datatracker
        url: "https://datatracker.ietf.org/doc/draft-bastian-babel-v4ov6/"
  - authors:
      - nderumigny
      - tobast
      - fgruber
      - cguillon
      - giooss
      - lnp
      - frastello
    year: 2022
    title: "PALMED: Throughput Characterization for Any Architecture"
    journal: "CGO 2022"
    links:
      - name: PDF
        url: "/doc/publications/cgo22-palmed.pdf"
      - name: extended PDF
        url: "/doc/publications/cgo22-palmed-extended.pdf"



talks:
  - date: 2018-11-14
    title: "Growing the DWARF tougher: synthesis, validation and compilation"
    venue: Oracle Stockholm
    links:
      - name: PDF
        url: '/doc/talks/oracle18.pdf'
  - date: 2019-10-25
    title: "Reliable and fast DWARF-based stack unwinding"
    venue: OOPSLA 2019, Athens
    links:
      - name: PDF
        url: '/doc/talks/oopsla19.pdf'
  - date: 2020-07-27
    title: "Announcing IPv4 routes with an IPv6 next-hop in the Babel routing protocol"
    venue: IETF 108 (online)
    links:
      - name: PDF
        url: '/doc/talks/ietf108-v4ov6.pdf'
      - name: Slides source
        url: 'https://git.tobast.fr/tobast/talk-v4ov6-ietf108'

unpublished:
  - with:
      - cseger
      - msheeran
    title: "Pattern matching and substitution in electronic circuits"
    freetext: "internship report, Master's Degree 1st year, at Chalmers, Göteborg (Sweden)"
    links:
      - name: PDF
        url: '/m1/internship.pdf'
  - with:
      - gwinskel
      - pclairambault
    title: "Concurrent games as event structures"
    freetext: "internship report, Bachelor's Degree 3rd year, at Cambridge, UK"
    links:
      - name: PDF
        url: '/l3/report.pdf'

---

## {{< fontawesome "file-text" >}} Publications

{{< list-publications >}}

## {{< fontawesome "commenting" >}} Talks

{{< list-talks >}}

## {{< fontawesome "coffee" >}} Unpublished written works

{{< list-unpublished-written >}}
